Package twisted :: Package internet :: Module protocol :: Class DatagramProtocol |
[frames | no frames]

## Class DatagramProtocol

    AbstractDatagramProtocol --+
                               |
                              DatagramProtocol

Known Subclasses:
  `Base`, `ConnectedDatagramProtocol`

Protocol for datagram-oriented transport, e.g. UDP.

Method Summary
Inherited from AbstractDatagramProtocol
| ``__getstate__`(self)`
| ``datagramReceived`(self, datagram, addr)` Called when a datagram is received.
| ``doStart`(self)` Make sure startProtocol is called.
| ``doStop`(self)` Make sure stopProtocol is called.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| ``startProtocol`(self)` Called when a transport is connected to this protocol.
| ``stopProtocol`(self)` Called when the transport is disconnected.

Class Variable Summary
Inherited from AbstractDatagramProtocol
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net